Get transaction history
Get paginated transaction history for the authenticated user. Requires the user session token (JWT) issued by the authenticate endpoint, passed as Authorization: Bearer <token>. For the initial request, omit both cursors to retrieve the latest history; for subsequent requests, pass either nextCursor (newer) or prevCursor (older).
API key generated at https://studio.aurora.dev
Pass the prevCursor value from a previous response to fetch older items. Omit both cursors for the initial request. Do not pass together with nextCursor.
Pass the nextCursor value from a previous response to poll for newer items. Omit both cursors for the initial request. Do not pass together with prevCursor.
Maximum number of items to return per page.
20Filter by deposit address.
Filter by deposit memo. Only has effect when depositAddress is also provided.
Search by deposit address, recipient, sender, or tx hash.
Transaction history retrieved successfully
Transaction history retrieved successfully
Pass it back as nextCursor to poll for newer items.
Pass it back as prevCursor to fetch older items.
Default Response
User session token is invalid or expired
Internal Server Error - Failed to reach the account service
GET /api/account/history/{apiKey}?status=PENDING_DEPOSIT&depositType=ORIGIN_CHAIN&recipientType=DESTINATION_CHAIN&refundType=ORIGIN_CHAIN HTTP/1.1
Host: intents-api.aurora.dev
Accept: */*
{
"items": [
{
"status": "SUCCESS",
"depositType": "ORIGIN_CHAIN",
"recipientType": "DESTINATION_CHAIN",
"createdAt": "2025-03-04T15:00:00Z",
"depositAddress": "0x76b4c56085ED136a8744D52bE956396624a730E8",
"depositMemo": "1111111",
"originAsset": "nep141:arb-0xaf88d065e77c8cc2239327c5edb3a432268e5831.omft.near",
"amountInFormatted": "1",
"amountInUsd": "1",
"destinationAsset": "nep141:sol-5ce3bf3a31af18be40ba30f721101b4341690186.omft.near",
"amountOutFormatted": "9.95",
"amountOutUsd": "9.95",
"recipient": "13QkxhNMrTPxoCkRdYdJ65tFuwXPhL5gLS2Z5Nr6gjRK",
"quoteTransactions": [
{
"sender": "0x2527D02599Ba641c19FEa793cD0F167589a0f10D",
"txHash": "0xabc123"
}
],
"refundTo": "0x2527D02599Ba641c19FEa793cD0F167589a0f10D",
"refundType": "ORIGIN_CHAIN",
"refundReason": "text",
"refundedAmountFormatted": "0",
"refundedAmountUsd": "0",
"refundFee": "1000",
"refundFeeFormatted": "0.001"
}
],
"nextCursor": "text",
"prevCursor": "text"
}